package jp.sourceforge.shovel.entity;

public interface IStatus {
    void setBody(String body);
    String getBody();
    void setLocation(String location);
    String getLocation();
    String getSource();
    void setSource(String source);
    long getReferenceId();
    void setReferenceId(long referenceId);
    long getReferenceSenderId();
    void setReferenceSenderId(long referenceSenderId);
    long getSenderId();
    void setSenderId(long senderId);
    long getSentTime();
    void setSentTime(long sentTime);
    long getStatusId();
    void setStatusId(long statusId);
    boolean isOpen();
    void setOpen(boolean open);
    boolean isRemove();
    long getRemovedTime();
    void setRemovedTime(long removedTime);
    int getGivenFavorites();
    void setGivenFavorites(int givenFavorites);
    
    void setFavorite(IFavorite favorite);
    IFavorite getFavorite();
    void setOtherFavorites(IFavorite[] favorites);
    IFavorite[] getOtherFavorites();
    void setSender(IUser sender);
    IUser getSender();
    void setReferenceSender(IUser referenceSender);
    IUser getReferenceSender();
    
    void setDedicatedClient(IDedicatedClient client);
    IDedicatedClient getDedicatedClient();
}
